Summary:	A free open source WYSIWYG ebook editor
Summary(de):	Ein WYSIWYG Ebook-Editor
Name:		sigil
Version:	0.8.7
Release:	%mkrel 1
Url:		http://code.google.com/p/sigil/
Source0:	http://sigil.googlecode.com/files/Sigil-%{version}.tar.xz
License:	GPLv3 and CC-BY-SA
Group:		File tools
BuildRequires:	cmake
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5network-devel
BuildRequires:	%{_lib}qt5printsupport-devel
BuildRequires:	%{_lib}qt5concurrent-devel
BuildRequires:	%{_lib}qt5webkitwidgets-devel
BuildRequires:	%{_lib}qt5webkit-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}qt5xml-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	libqt5svg-devel
BuildRequires:	libqt5help-devel
BuildRequires:	libqt5xmlpatterns-devel
BuildRequires:	libqt5dbus-devel
BuildRequires:	libqt5multimedia-devel
BuildRequires:	libqt5multimediawidgets-devel
BuildRequires:	libqt5sensors-devel
BuildRequires:	qtmultimedia5
BuildRequires:	qttools5
BuildRequires:	icu-data
BuildRequires:	%{_lib}mono-devel
BuildRequires:	%{_lib}boost-devel
BuildRequires:	libxerces-c-devel >= 3.1
BuildRequires:	%{_lib}hunspell-devel 
BuildRequires:	pcre-devel >= 8.31
BuildRequires:	zlib-devel 
BuildRequires:	flightcrew-devel

%description
Sigil is a multi-platform WYSIWYG ebook editor. It is designed to edit books in ePub format.

Now what does it have to offer...

    * Free and open source software under GPLv3
    * Multi-platform: runs on Windows, Linux and Mac
    * Full Unicode support: everything you see in Sigil is in UTF-16
    * Full EPUB spec support
    * WYSIWYG editing
    * Multiple Views: Book View, Code View and Split View
    * Metadata editor with full support for all possible metadata entries (more than 200) with full descriptions for each
    * Table Of Contents editor
    * Multi-level TOC support
    * Book View fully supports the display of any XHTML document possible under the OPS spec
    * SVG support
    * Basic XPGT support
    * Advanced automatic conversion of all imported documents to Unicode
    * Currently imports TXT, HTML and EPUB files; more will be added with time
    * Currently exports EPUB and SGF (Sigil native format); more will be added with time
    * Embedded HTML Tidy; all imported documents are thoroughly cleaned; changing views cleans the document so no matter how much you screw up your code, it will fix it (usually)
    * An actually usable user interface
    * Native C++ application
    * Bugs :)
    * And a lot more... 


%description -l de
Sigil ist ein plattformunabhängiger WYSIWYG Ebook-Editor, für das Bearbeiten von Büchern im ePub-Format.

Folgendes bietet Sigil dem Benutzer
	* Frei und OpenSource Software unter den Bedingungen der GPLv3
	* Plattformunabhängigkeit: es läuft unter Windows, Linux und Mac
	* Volle Unicode-Unterstützung: alles was Sie in Sigil sehe ist in UTF-16 codiert
	* Vollständige Unterstützung der EPUB Spezifikation
	* WYSIWYG Bearbeitung
	* Mehrere Ansichten: Buchansicht, Codeansicht und geteilte Ansicht
	* Metadateneditor mit Unterstützung für alle möglichen Metadateneinträge (mehr als 200)
	  mit vollständiger Beschreibung für jeden einzelnen
	* Editor für das Inhaltsverzeichnis
	* Unterstützung von mehreren Ebenen für das Inhaltsverzeichnis
	* Die Buchansicht unterstütz die Anzeige von jedem XHTML-Dokument
	* SVG Unterstützung
	* Grundlegende Unterstützung von XPGT
	* Fortgeschrittene automatische Konvertierung von allen importierten Dokumenten in die
	  Unicode Zeichenkodierung
	* Derzeitig werden TXT, HTML und EPUB Dateien importiert, weiter werden mit der Zeit folgen
	* Derzeitig werden Dateien in das EPUB und SGF (Sigil native format) Format exportiert.
          Weitere werden folgen.
	* Eingebettetes HTML Tidy: alle importierten Dateien werden gründlich gereinigt. Das Wechseln der
	  Ansicht säubert das Dokument, also machen Sie sich keine Sorgen das der Dokumentcode aufquillt,
	  HTML Tidy wird Ihn (wahrscheinlich) säubern.
	* Eine aktuelle und benutzbare Benutzerschnittstelle
	* reine C++ Anwendung
	* kleine Fehler :)
	* und eine Menge mehr


%prep
%setup -qn Sigil-%{version}

# remove unbundled stuff
for i in src/*; do
	# lets not remove Sigil itself ...
	if [ "$i" = "src/Sigil" ]; then
		continue
	fi
	# tidyLib is modified to deal with epub, so stick with the bundled copy
	if [ "$i" = "src/tidyLib" ]; then
		continue
	fi
    rm -r "$i"
done

%build
# there are only internal helper libs, and they need to be static as build
# fails otherwise (they contain undefined symbols), and making them shared
# libs wouldn't make sense anyway (they are not shared by anything else)
# - Anssi 06/2010
%cmake_qt5 \
	-DBUILD_SHARED_LIBS:BOOL=OFF \
	-DBUILD_STATIC_LIBS:BOOL=ON \
	-DHUNSPELL_DICTS_PATH=%{_datadir}/myspell
%make

%install
%makeinstall_std -C build

# install icons for the .desktop file
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m644 -D src/Sigil/Resource_Files/icon/app_icon_256.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

# create a .desktop file:
mkdir -p %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Sigil
Comment=WYSIWYG ebook editor
Comment[de]=WYSIWYG Ebook-Editor
Icon=%{name}
Exec=%{name} %u
MimeType=application/epub+zip;
Categories=X-MandrivaLinux-System-FileTools;
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc ChangeLog.txt README.md COPYING.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/*


%changelog
* Sun Jun 21 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.7-1pclos2015
- 0.8.7 and rebuilt for new hunspell version

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 0.7.4-1pclos2014
- 0.7.4

* Wed Dec 05 2012 ghostbunny <ghostbunny at gmx dot de> 0.6.1-1pclos2012
- 0.6.1

* Mon Oct 29 2012 Neal <nealbrks0 at gmail dot com> 0.6.0-1pclos2012
- process

* Sun Oct 28 2012 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2012
- 0.6.0

* Fri Aug 24 2012 Neal <nealbrks0 at gmail dot com> 0.5.3-1pclos2012
- process

* Fri Jul 13 2012 ghostbunny <ghostbunny at gmx dot de> 0.5.3-1pclos2012
- 0.5.3
- added german summary, description and comment
- deleted format patch, it's fixed in source
- fixed files section
- Note: this version is a git snapshot (2012.08.24) the real version has
  problems with qt

* Wed Feb 09 2011 Texstar  <Texstar at gmail.com> 0.3.4-1pclos2011
- 0.3.4

* Tue Jun 22 2010 Texstar <texstar at gmail.com> 0.2.0-1pclos2010 
- import into pclos from Michael Johnson

